# cabal2spec-0.25
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name brainfuck

%global common_summary Haskell %{pkg_name} library

%global common_description A %{pkg_name} library for Haskell.

Name:           %{pkg_name}
Version:        0.1
Release:        3%{?dist}
Summary:        Haskell %{pkg_name}

Group:          System Environment/Libraries
License:        GPLv2
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Patch0:         brainfuck-0.1-fix-fsf-address.patch
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec

BuildRequires:  ghc-array-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-unix-devel

%description
%{common_description}

%prep
%setup -q
%patch0 -p1

%build
%ghc_lib_build

%install
%ghc_lib_install

# library subpackage
%ghc_package

%ghc_description

# devel subpackage
%ghc_devel_package

%ghc_devel_description

%ghc_devel_post_postun

%files
%doc LICENSE
%attr(755,root,root) %{_bindir}/bf

%ghc_files LICENSE

%changelog
* Fri Sep 07 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-3
- Added patch to fix FSF address

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-2
- Updated license to GPLv2.

* Tue Jun 05 2012 Shakthi Kannan <shakthimaan [AT] fedoraproject dot org> - 0.1-1
- Added BuildRequires.
- Spec file template generated by cabal2spec-0.25.5.
